%global rbname sary
Summary: sary extention for Ruby
Name: ruby-%{rbname}

%global momorel 3
%global cvsdate 20031102

Version: 0.4.1
Release: 0.%{cvsdate}.%{momorel}m
Group: Applications/Text
License: GPL
URL: http://sary.namazu.org/ruby/

#%%NoSource 0 http://sary.namazu.org/ruby/archive/%{rbname}-ruby-%{version}.tar.gz 755868feefbc530e9e0211d1448ffcaa
#Source0: http://sary.namazu.org/ruby/archive/%{rbname}-ruby-%{version}.tar.gz
Source0: sary-ruby-cvs20031102.tar.gz
Patch0: ruby-sary-20031102-str2cstr.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: sary-devel >= 1.1.0

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%description
This package add sary methods for Ruby.

%prep
%setup -q -n sary-ruby
%patch0 -p1 -b .orig

%build
ruby extconf.rb
make sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-   ,root,root)
%doc MANIFEST ChangeLog README* Reference* rsary.rb
%{ruby_archdir}/sary.so

%ChangeLog
* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.1-0.20031102.3m)
- rebuild against ruby-1.8.2

* Tue Jun 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.1-0.20031102.2m)
- really add and apply Patch0 (sorry...)

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.1-0.20031102.1m)
- use cvs version in http://www.digital-genes.com/~yatsu/prime/SRPMS/
- add patch0:ruby-sary-20031102-str2cstr.patch

* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4-7m)
- no nosource0

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4-6m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4-5m)
- rebuild against ruby-1.8.0.

* Mon Mar  4 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.4-4k)
- Should BuildPreReq: sary-devel.

* Fri Feb 22 2002 Toshiro HIKITA <toshi@sodan.org>
- (0.4-2k)
- 1st release.

